---
sidebar_position: 5
---

# How-To's

## How do I sign up?

1. Click on "Sign In" button at the top right corner of the page.

2. When Login form shows up, click on "Sign up" below the "Continue" button

<img
  src={require('./img/ecoloop-login-1.png').default}
  alt="EcoLoop login 2" style={{height: 300}}
/>

3. Enter Username, Email and Password, then press "Continue" button.

<img
  src={require('./img/ecoloop-login-2.png').default}
  alt="EcoLoop login 2" style={{height: 300}}
/>

4. Press "Accept" in the Authorize App form

<img
  src={require('./img/ecoloop-login-3.png').default}
  alt="EcoLoop login 2" style={{height: 300}}
/>



## How do I get an API Key?

The steps for getting an API key is simple:

1. Sign up to Ecoloop staging [www.ecoloop.one](https://www.ecoloop.one) if you have not done it yet, following the instructions above.

2. Click on the User icon at the top right corner of the page. This will open a pop-up menu, click on "Profile"

<img
  src={require('./img/ecoloop-getkey-1.png').default}
  alt="EcoLoop login 2" style={{height: 200, boxShadow: "2px 2px 5px #D3D3D3"}}
/>

<br />

3. In the profile page, the value of **Account UID is the API key** 

<img
  src={require('./img/ecoloop-getkey-2.png').default}
  alt="EcoLoop login 2" style={{height: 200, boxShadow: "2px 2px 5px #D3D3D3"}}
/>


## Why am I getting the "429 Too Many Requests" error?

To avoid DoS attacks, EcoLoop has a rate-limiting guard. Depending on the environment, if you make too many requests within a 60 seconds window span, the system will not accept further requests and return status code 429 instead.
